Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionViewItemV4.ViewItemPosition

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOptionViewItemV4.ViewItemPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOptionViewItemV4

    public static final class QStyleOptionViewItemV4.ViewItemPosition

extends java.lang.Enum
implements QtEnumerator

This enum is used to represent the placement of the item on a row. This can be used to draw items differently depending on their placement, for example by putting rounded edges at the beginning and end, and straight edges in between.

See Also:
  Serialized Form

Field Summary
`static QStyleOptionViewItemV4.ViewItemPosition` | `Beginning` The item appears at the beginning of the row.
`static QStyleOptionViewItemV4.ViewItemPosition` | `End` The item appears at the end of the row.
`static QStyleOptionViewItemV4.ViewItemPosition` | `Invalid` The `ViewItemPosition` is unknown and should be disregarded.
`static QStyleOptionViewItemV4.ViewItemPosition` | `Middle` The item appears in the middle of the row.
`static QStyleOptionViewItemV4.ViewItemPosition` | `OnlyOne` The item is the only one on the row, and is therefore both at the beginning and the end.

Method Summary
`static QStyleOptionViewItemV4.ViewItemPosition` | `resolve(int value)` Returns the QStyleOptionViewItemV4$ViewItemPosition constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionViewItemV4.ViewItemPosition` | `valueOf(java.lang.String name)`
`static QStyleOptionViewItemV4.ViewItemPosition[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Invalid

    public static final QStyleOptionViewItemV4.ViewItemPosition Invalid

  The `ViewItemPosition` is unknown and should be disregarded.

### Beginning

    public static final QStyleOptionViewItemV4.ViewItemPosition Beginning

  The item appears at the beginning of the row.

### Middle

    public static final QStyleOptionViewItemV4.ViewItemPosition Middle

  The item appears in the middle of the row.

### End

    public static final QStyleOptionViewItemV4.ViewItemPosition End

  The item appears at the end of the row.

### OnlyOne

    public static final QStyleOptionViewItemV4.ViewItemPosition OnlyOne

  The item is the only one on the row, and is therefore both at the beginning and the end.

Method Detail

### values

    public static QStyleOptionViewItemV4.ViewItemPosition[] values()

### valueOf

    public static QStyleOptionViewItemV4.ViewItemPosition valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionViewItemV4.ViewItemPosition resolve(int value)

  Returns the QStyleOptionViewItemV4$ViewItemPosition constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD